std::_Select1st(3)

NAME
std::_Select1st -

SYNOPSIS

Inherits unary_function< _Pair, _Pair::first_type >.

Inherited by select1st.

Detailed Description

  template<class _Pair> struct std::_Select1st< _Pair >

Definition at line 542 of file stl_function.h.

  Public Types
typedef _Pair argument_type
typedef _Pair::first_type result_type

  Public Member Functions
const _Pair::first_type & operator() (const _Pair &__x) const
_Pair::first_type & operator() (_Pair &__x) const

Member Typedef Documentation

  typedef _Pair argument_type [inherited]

argument_type is the type of the

Definition at line 104 of file stl_function.h.

  typedef _Pair::first_type result_type [inherited]

argument (no surprises here) result_type is the return type

Definition at line 107 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.